Subject: Re: [PATCH] net: mana: Add get_link and get_link_ksettings in ethtool

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Sep 2024 17:04:06 +0200

On Tue, 17 Sep 2024 14:35:21 +0000 Haiyang Zhang wrote:
> > Any reason why? Sometimes people add this callback for virtual
> > devices to expose some approximate speed, but you're not reporting
> > speed, so I'm curious.  
> Speed info isn't available from the HW yet. But we are requesting 
> that from HW team. For now, we just add some minimal info, like 
> duplex, etc.

Unless I'm misreading I don't see the answer to the "why?" in your
reply.

What benefit does reporting duplex on a virtual device bring?
What kind of SW need this current patch?
etc.